import *as React from 'react'
import {
  Icon, Label, Input, InputOnChangeData,
  Select, Button, Header, Modal
} from 'semantic-ui-react'




const options = [{ key: 'southkorea', value: '82', text: 'South Korea(82)' },
{ key: 'unitedstates', value: '1', text: 'United States(1)' }]


export class SignIn extends React.Component<any, any> {
  constructor(props: any, context: any) {
    super(props, context);



    this.state = {
      forgotPopup: false,
      sendComPopup: false,
      email: '',
      pass: '',
    };


  }
  forgotPopupOpen = () => this.setState({ forgotPopup: true });
  PopupClose = () => this.setState({ forgotPopup: false, sendComPopup: false });
  sendComOpen = () => {
    this.setState({
      forgotPopup: false,
      sendComPopup: true,

    });
  }

  onSignIn = () => {
    console.log(this.state);
  }

  render() {


    return (
      <div>

        <Input label='Email ' placeholder='Email' onChange={
          (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
            this.setState({ email: data.value });
          }} />
        <br />

        <Input label='Password ' placeholder='Password' type='password' onChange={
          (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
            this.setState({ pass: data.value });
          }} />
        <br />
        <Button onClick={this.forgotPopupOpen}>Forgot Password</Button>
        <br />

        <Button onClick={this.onSignIn}>    Sign In  </Button>
        <Button href='/#/test2'>    Sign Up  </Button>



        <Modal size='small' open={this.state.forgotPopup} onClose={this.PopupClose}>
          <Modal.Header>Change your password Enter email address.</Modal.Header>
          <Modal.Content >
            <Label>  Email  </Label>
            <Input placeholder='Email' />

          </Modal.Content>
          <Modal.Actions>
            <Button onClick={this.sendComOpen} basic color='blue'  >              Submit      </Button>
            <Button onClick={this.PopupClose}>              Cancel      </Button>
          </Modal.Actions>
        </Modal>

        <Modal size='small' open={this.state.sendComPopup} onClose={this.PopupClose}>
          <Modal.Header>Send Complete</Modal.Header>
          <Modal.Content>
            <Modal.Description>
              <Header>비밀번호 변경이 신청 되었습니다.</Header>
              <p>수신하신 메일의 주소에서 비밀번호 변경을 완료 하시기 바랍니다.</p>
            </Modal.Description>
          </Modal.Content>
          <Modal.Actions>
            <Button onClick={this.PopupClose}>              확인      </Button>
          </Modal.Actions>
        </Modal>
        <br />


      </div>
    );
  }



}

